## org.springframework.beans.support
Interface SortDefinition

All Known Implementing Classes:
  MutableSortDefinition

    public interface SortDefinition

Definition for sorting bean instances by a property.

Since:
  26.05.2003
Author:
  Juergen Hoeller

Method Summary
`String` `getProperty()` Return the name of the bean property to compare.
`boolean` `isAscending()` Return whether to sort ascending (true) or descending (false).
`boolean` `isIgnoreCase()` Return whether upper and lower case in String values should be ignored.

Method Detail

### getProperty

    String getProperty()

  Return the name of the bean property to compare. Can also be a nested bean property path.

### isIgnoreCase

    boolean isIgnoreCase()

  Return whether upper and lower case in String values should be ignored.

### isAscending

    boolean isAscending()

  Return whether to sort ascending (true) or descending (false).